Send testnet NECTA (and a little Sepolia ETH if available) to the session wallet
POST
/v1/faucet/drip
const url = 'https://testnet-rpc.necter.network/v1/faucet/drip';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://testnet-rpc.necter.network/v1/faucet/drip \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Drip submitted
Media typeapplication/json
object
Example generated
{ "tx_hash": "example", "amount": "example", "eth_tx_hash": "example", "eth_amount": "example", "next_eligible_at": 1}Missing/invalid credentials (unauthorized, session_expired, bad_signature)
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}rate_limited
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}Headers
Section titled “Headers”Retry-After
integer
unavailable, no_validators, faucet_empty
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}